package com.yd.rmi.tencent.wechatinterf.pojo.templetemessage;

import com.fasterxml.jackson.annotation.JsonProperty;

public class SendTemplateRequest {
    @JsonProperty("touser")
    private String toUser;
    @JsonProperty("template_id")
    private String templateId;
    private String url;
    @JsonProperty("miniprogram")
    private MiniProgramInfo miniProgram;
    private TemplateDataInfo data;

    public String getToUser() {
        return toUser;
    }

    public void setToUser(String toUser) {
        this.toUser = toUser;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public MiniProgramInfo getMiniProgram() {
        return miniProgram;
    }

    public void setMiniProgram(MiniProgramInfo miniProgram) {
        this.miniProgram = miniProgram;
    }

    public TemplateDataInfo getData() {
        return data;
    }

    public void setData(TemplateDataInfo data) {
        this.data = data;
    }
}
